import { IntegrationEvent, IntegrationEventProps } from '@mobicoop/ddd-library';

export class UserUpdatedIntegrationEvent extends IntegrationEvent {
  readonly firstName?: string;
  readonly lastName?: string;
  readonly email?: string;
  readonly phone?: string;

  constructor(props: IntegrationEventProps<UserUpdatedIntegrationEvent>) {
    super(props);
    this.firstName = props.firstName;
    this.lastName = props.lastName;
    this.email = props.email;
    this.phone = props.phone;
  }
}
